## aptitude 0.6.3

=== debian/changelog ===
aptitude (0.6.3-3.2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/05aptitude: never autoremove kernels
    - drop aptitude-doc to Suggests
    - 01_intltool_update.dpatch: run intltool-update against the source
      directory, so that irrelevant cosmetic .po file changes don't end up
      tangled in other patches.
    - 03_branding.dpatch: ubuntu branding
    - 04_changelog.dpatch: take changelogs from changelogs.ubuntu.com
    - 09_ubuntu_fortify_source.dpatch: Suppress a number of warnings (turned
      into errors by -Werror) triggered by Ubuntu's default of
      -D_FORTIFY_SOURCE=2.
    - 11_ubuntu_uses_sudo.dpatch: fix status line of 'Become root' menu entry
      to not refer to su.
    - 12_point_manpage_to_doc_package.dpatch: point Finnish manpage to the
      correct place for further info
  - debian/rules: build with --disable-werror
    - 14_html2text_preferred.dpatch: switch back to html2text in favor of
      elinks, since html2text is in main and elinks isn't.
  * dropped: 
    - 13_screensize.dpatch: applied upstream
    - 15_ftbfs_new_apt.dpatch: applied upstream

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 18 Nov 2010 09:46:28 +0100

aptitude (0.6.3-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * 0007-preferences-dir.patch: Patch to support /etc/apt/preferences.d/
    directory. (Closes: #557580)
  * debian/rules: Fix clean rule.  Patch by Stéphane Glondu.
    (Closes: #594505)

 -- Tim Retout <diocles@debian.org>  Tue, 12 Oct 2010 21:11:54 +0100

aptitude (0.6.3-3.1) unstable; urgency=low

  * Non-maintainer upload to fix FTBFS (closes: 594199).
  * Add patch by Michael Vogt to use sigc::mem_fun0 instead of sigc::mem_fun,
    fixing an error with apt 0.8.
  * Comment out our operator<< for pkgCache::DepIterator, libapt-pkg has one
    now and this caused conflicts.  Build-Depend on new libapt-pkg-dev
    accordingly.
  * Don't build with -Werror to avoid more FTBFS.

 -- Julien Cristau <jcristau@debian.org>  Thu, 26 Aug 2010 20:00:57 +0200

aptitude (0.6.3-3) unstable; urgency=low

  * Apply patch from Nobuhiro Iwamatsu to fix compilation on sh, which
    has the same problem as s390. (Closes: #586861)

  * Apply patch from Michael Vogt to update Vcs links in debian/control.

  * Cherry-pick an Ubuntu patch that was merged upstream to fix the
    progress code on large terminals. (Closes: #586470)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 10 Jul 2010 13:44:48 -0700

aptitude (0.6.3-2ubuntu4) maverick; urgency=low

  * debian/patches/15_ftbfs_new_apt:
    - fix FTBFS with latest apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Sep 2010 13:47:55 +0200

aptitude (0.6.3-2ubuntu3) maverick; urgency=low

  * debian/patches/15_ftbfs_new_apt:
    - fix build failure with latest apt
  * debian/control:
    - build depend on latest libapt, libept-dev

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 Jul 2010 14:58:26 +0200

aptitude (0.6.3-2ubuntu2) maverick; urgency=low

  * debian/patches/no-google-mock: don't build the boost tests either; they
    also require gmock.h and while this didn't cause a build failure in my
    local chroot, it does on the buildds, and there's no sense in running a
    test we know will fail.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Jul 2010 16:40:21 +0000

aptitude (0.6.3-2ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/05aptitude: never autoremove kernels
    - drop aptitude-doc to Suggests
    - 01_intltool_update.dpatch: run intltool-update against the source
      directory, so that irrelevant cosmetic .po file changes don't end up
      tangled in other patches.
    - 03_branding.dpatch: ubuntu branding
    - 04_changelog.dpatch: take changelogs from changelogs.ubuntu.com
    - 09_ubuntu_fortify_source.dpatch: Suppress a number of warnings (turned
      into errors by -Werror) triggered by Ubuntu's default of
      -D_FORTIFY_SOURCE=2.
    - 11_ubuntu_uses_sudo.dpatch: fix status line of 'Become root' menu entry
      to not refer to su.
    - 12_point_manpage_to_doc_package.dpatch: point Finnish manpage to the
      correct place for further info
    - 13_screensize.dpatch: fix a bug that stops outputting aptitude
      downloads on big screens
    - debian/rules: build with --disable-werror
    - 14_html2text_preferred.dpatch: switch back to html2text in favor of
      elinks, since html2text is in main and elinks isn't.
  * Dropped changes, superseded in Debian:
    - Drop dpatch, switch to 3.0 (quilt) source format
  * Drop build-dependency on google-mock/libgtest-dev and disable the test
    suite at build time; google-mock hasn't built in Ubuntu and is in
    universe.  This should probably be revisited once google-mock is
    buildable in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 09 Jul 2010 11:09:33 -0700

aptitude (0.6.3-2) unstable; urgency=low

  * Cherry-pick an upstream patch that fixes the Makefiles so that files
    named using $(wildcard) get installed. (Closes: #586508, #586511)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 20 Jun 2010 14:58:47 -0700

aptitude (0.6.3-1) unstable; urgency=low

  * New upstream release.

    - aptitude no longer requires log4cxx; dropped that build dependency.

      I hope this will solve some of the random crashes, particularly
      on exit, that have been reported, but since they're unreproducible
      it's hard to know.

    - aptitude should build correctly against either the current ept
      release or the upcoming release (in experimental).
      (Closes: #581009)

  * Applied upstream patches to make the tests build when GTK+ is
    disabled.

  * Weakened the build dependency on libboost-dev, since this upstream
    release no longer requires 1.42.

  * aptitude now requries gtest and google-mock for its test suite;
    added build dependencies.

  * Add the compile flag -fno-gcse on s390; current g++ miscompiles some

