## aptitude 0.6.4

=== debian/changelog ===
aptitude (0.6.4-1ubuntu2) oneiric; urgency=low

  * rebuild against the latest apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Aug 2011 14:35:33 +0200

aptitude (0.6.4-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/05aptitude: never autoremove kernels
    - drop aptitude-doc to Suggests
    - 03_branding.dpatch: ubuntu branding
    - 04_changelog.dpatch: take changelogs from changelogs.ubuntu.com
    - 09_ubuntu_fortify_source.dpatch: Suppress a number of warnings (turned
      into errors by -Werror) triggered by Ubuntu's default of
      -D_FORTIFY_SOURCE=2.
    - 11_ubuntu_uses_sudo.dpatch: fix status line of 'Become root' menu entry
      to not refer to su.
    - 12_point_manpage_to_doc_package.dpatch: point Finnish manpage to the
      correct place for further info
    - 14_html2text_preferred.dpatch: switch back to html2text in favor of
      elinks, since html2text is in main and elinks isn't.
  * dropped 01_intltool_update.dpatch
  * updated 15_ftbfs_new_apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 22 Jun 2011 12:32:56 +0200

aptitude (0.6.4-1) unstable; urgency=low

  * New upstream release.

    - Fixed build errors with gcc 4.6 (Closes: #624948)

    - Added a source grouping policy, thanks to Thadeu Lima de Sourza
      Cascardo for the patch. (Closes: #497206)

    - Fixed bug in how the "automatically installed" flag was set when the
      user asked to upgrade a package. (Closes: #622719)

    - Don't crash when apt-xapian-index isn't installed. (Closes: #588089)

  * Updated the project URL and added the git url to debian/copyright.
    (Closes: #626209)

  * Deleted all Debian patches; they've been included upstream.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 15 May 2011 20:19:26 -0700

aptitude (0.6.3-4) unstable; urgency=low

  * Incorporate NMU patches.

  * 0009-fix-symlink-attack: Fix a potential symlink attack that could
    occur if a user with no home directory edited and saved the package
    hierarchy definitions. (Closes: #612034)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 02 Apr 2011 13:55:04 -0700
