=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Daniel Burrows <dburrows@debian.org>
-Build-Depends: libapt-pkg-dev (>= 0.8.0), debhelper (>= 5.0.0),
+Build-Depends: libapt-pkg-dev (>= 0.8.16~exp5), debhelper (>= 5.0.0),
  libsigc++-2.0-dev, libcppunit-dev, libcwidget-dev (>= 0.5.6.1-2),
  libncursesw5-dev, gettext, g++ (>= 4:3.2.2-0), docbook-xsl,
- docbook-xml, xsltproc, html2text, po4a, libept-dev (>= 1.0.1build1),
+ docbook-xml, xsltproc, html2text, po4a, libept-dev (>= 1.0.5build1),
  libgtkmm-2.4-dev, libvte-dev, libglademm-2.4-dev,
  librsvg2-bin, libboost-dev, libboost-serialization-dev,
  libboost-python-dev, libboost-iostreams-dev, libboost-test-dev,
