## aptitude 0.6.5

=== debian/changelog ===
aptitude (0.6.5-1) unstable; urgency=low

  [ Christian Perrier ]
  * Drop now useless aptitude-man-ja.xsl file. Closes: #489711
  * Fix Hungarian translation of Recommends and Suggests
    Closes: #548609
  * Fix grammar in Dutch translation. Closes: #601672
  * Do not translate program options in Catalan translation
    Closes: #462558
  * Do not translate program options in Simplified Chinese translation
    Closes: #563132
  * Localize date and time format in logs. Patch by Kobayashi
    Noritada, thanks! Closes: #489706
  * Add Slovak translation, thanks to Ivan Masár. Closes: #559288, #653056
  * Update Russian translation. Closes: #559664
  * Update Portuguese translation. Closes: #577995
  * Update Simplified Chinese translation. Closes: #594526, #566367
  * Update German translation. Closes: #603589
  * Update Danish translation. Closes: #608593
  * Update French translation. Closes: #631759
  * Update Japanese translation. Closes: #550451
  * Fix Greek translation. Closes: #606871
  * Fix Calatan translation. Closes: #332592
  * Fix Spanish translation. Closes: #564445
  * Correct long description of aptitude-dos-es to mention
    that the package provides documentation in Spanish.
    Closes: #564564
  * Pure reversing forbid-version. Closes: #511365
  * Minor fixes in documentation and changelog. Closes: #403220
  * More precise wording suggested by jidanni in the
    manpage. Closes: #542293
  * Switch Polish manpages to po4a. Thanks to Michał Kułach. Closes: #656819
  * Update Polish translations. Closes: #657174

  [ Daniel Hartwig ]
  * Register documentation with doc-base. Closes: #263318
  * Update development details to Git. Closes: #651288
  * Fix link in users manual. Closes: #397038
  * Fix missing entity refs and filename elements. Closes: #651289
  * Fix description of Aptitude::Sections::Top-Sections. Closes: #651661
  * Mention /etc/apt/apt.conf.d/* in Configuration file. Closes: #497138
  * Fix manpage text for safe-resolver.  Thanks to Dan Jacobson
    (Closes: #511731, #568297)
  * Handles 'Enhances' relations in preview. (Closes: #583201)
  * Fix resolver help for next/previous. (Closes: #495046)
  * Typos in manpage.  Thanks to A. Costa for reporting them
    (Closes: #644651)
  * Boldness of Tags and User-Tags fields. (Closes: #652360)
  * Wrap long description of boolean_config_treeitems. (Closes: #653120)
  * Update menu files.  Thanks to Bill Allombert (Closes: #445125)
  * Convert reportbug script from Python to sh.  Output order is now
    correct. (Closes: #651373)
  * Don't run file in aptitude-run-state-bundle.
    Thanks to Sven Joachim for the patch (Closes: #635572)
  * Add versions, newlines to --help (Closes: #581597, #604392)
  * Fix prompt strings. (Closes: #652419)
  * Fix typo triggering "unexpected null solution". Thanks to Hristo
    Hristov for the patch (Closes: #552747)
  * Added Homepage field to package info.

  [ Manuel A. Fernandez Montecelo ]
  * Acknowledge and incorporate changes from NMUs (thanks Philipp Kern and Kurt
    Roeckx).
  * Changes in packaging:
    - Bump Standards-Version to 3.9.2, no changes needed.
    - Bump debhelper compat level to v8 from v5, no changes needed.
    - Set as maintainer the team "aptitude Devel", with aptitude-devel@alioth as
      e-mail address.  Set Daniel Burrows to Uploader.
  * Incorporating patches and bug fixes:
    - List items wrongly nested in the document (Closes: #365615).  Thanks
      Kobayashi Noritada <nori1@dolphin.c.u-tokyo.ac.jp>.
    - Update dead URL for regular expressions in the manual, thanks Diederik de
      Haas <didi.debian@cknow.org> (Closes: #581508)
    - Enabling hardened build flags through dpkg-buildflags, thanks Moritz
      Muehlenhoff (Closes: #657532)
    - Fix for bug (Closes: #242269): Properly document 'Q' and 'q' keys for user
      interface in the Help file.  Thanks Sebastian Kapfer and Stéphane Aulery.

 -- Daniel Hartwig <mandyke@gmail.com>  Tue, 07 Feb 2012 09:14:11 +0800

aptitude (0.6.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * tv_usec is a suseconds_t not a time_t.  It failed to build on sparc.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 29 Oct 2011 18:52:21 +0000

aptitude (0.6.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS due to changes in google-mock.  (Closes: #634413)

 -- Philipp Kern <pkern@debian.org>  Sun, 16 Oct 2011 22:29:57 +0200
