=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: aptitude
 Section: admin
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Burrows <dburrows@debian.org>
-Build-Depends: libapt-pkg-dev (>= 0.8.16~exp5), debhelper (>= 5.0.0),
+Priority: important
+Maintainer: Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>
+Uploaders: Daniel Burrows <dburrows@debian.org>, Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>, Daniel Hartwig <mandyke@gmail.com>
+DM-Upload-Allowed: yes
+Build-Depends: libapt-pkg-dev (>= 0.8.0), debhelper (>= 8.0.0),
  libsigc++-2.0-dev, libcppunit-dev, libcwidget-dev (>= 0.5.6.1-2),
  libncursesw5-dev, gettext, g++ (>= 4:3.2.2-0), docbook-xsl,
- docbook-xml, xsltproc, html2text, po4a, libept-dev (>= 1.0.5build1),
+ docbook-xml, xsltproc, elinks, po4a, libept-dev (>= 0.5),
  libgtkmm-2.4-dev, libvte-dev, libglademm-2.4-dev,
  librsvg2-bin, libboost-dev, libboost-serialization-dev,
  libboost-python-dev, libboost-iostreams-dev, libboost-test-dev,
- libsqlite3-dev
+ libgtest-dev, google-mock, libsqlite3-dev, dpkg-dev (>= 1.16.1)
 Vcs-Git: git://git.debian.org/git/aptitude/aptitude.git
 Vcs-Browser: http://git.debian.org/?p=aptitude/aptitude.git;a=summary
-Standards-Version: 3.8.3
+Standards-Version: 3.9.2
+Homepage: http://aptitude.alioth.debian.org/
 
 Package: aptitude
 Architecture: any
-Priority: important
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: sensible-utils, apt-xapian-index, libparse-debianchangelog-perl
-Suggests: aptitude-doc-en | aptitude-doc, tasksel, debtags
+Recommends: aptitude-doc-en | aptitude-doc, sensible-utils, apt-xapian-index, libparse-debianchangelog-perl
+Suggests: tasksel, debtags
 Conflicts: ia32-apt-get (<< 22)
 Description: terminal-based package manager (terminal interface only)
  aptitude is a package manager with a number of useful features,
@@ -106,7 +108,7 @@
 Suggests: aptitude
 Description: Spanish manual for aptitude, a terminal-based package manager
  aptitude is a terminal-based package manager.  This package contains
- the English version of the aptitude user's manual in HTML format.
+ the Spanish version of the aptitude user's manual in HTML format.
 
 Package: aptitude-doc-fi
 Section: doc
