=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,11 @@
 # writing, g++ on s390 miscompiles some of the parsing code unless
 # -fno-gcse is enabled.  See Debian bug #580085.
 ifneq (,$(findstring $(DEB_BUILD_ARCH_CPU), s390 sh4))
-  ARCH_CXXFLAGS=-fno-gcse
+  DEB_CXXFLAGS_MAINT_APPEND=-fno-gcse
 endif
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-  export CXXFLAGS=-g -O0 -fno-inline $(ARCH_CXXFLAGS)
-else
-  export CXXFLAGS=-g -O2 $(ARCH_CXXFLAGS)
+  DEB_CXXFLAGS_MAINT_APPEND=-fno-inline
 endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -33,10 +31,10 @@
 	dh_testdir
 
 	mkdir -p $(GTK_BUILD_DIR)
-	(cd $(GTK_BUILD_DIR) && ../configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-private-glade-file --disable-docs --disable-werror)
+	(cd $(GTK_BUILD_DIR) && ../configure --prefix=/usr $(shell dpkg-buildflags --export=configure) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-private-glade-file --disable-docs --disable-werror)
 	$(MAKE) -C $(GTK_BUILD_DIR)/src
 	# Run the unit tests, but protect against Boost.Test's flakiness.
-	(cd $(GTK_BUILD_DIR) && $(MAKE) -C tests check WERROR= || (cd tests && ./cppunit_test))
+	(cd $(GTK_BUILD_DIR) && $(MAKE) -C tests check || (cd tests && ./cppunit_test))
 	touch build-stamp-gtk
 
 build-curses: build-stamp-curses
@@ -46,10 +44,10 @@
 	dh_testdir
 
 	mkdir -p $(CURSES_BUILD_DIR)
-	(cd $(CURSES_BUILD_DIR) && ../configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-gtk --disable-werror)
+	(cd $(CURSES_BUILD_DIR) && ../configure --prefix=/usr $(shell dpkg-buildflags --export=configure) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-gtk --disable-werror)
 	$(MAKE) -C $(CURSES_BUILD_DIR)/src
 	# Run the unit tests, but protect against Boost.Test's flakiness.
-	(cd $(CURSES_BUILD_DIR) && $(MAKE) -C tests check WERROR= || (cd tests && ./cppunit_test))
+	(cd $(CURSES_BUILD_DIR) && $(MAKE) -C tests check || (cd tests && ./cppunit_test))
 
 	touch build-stamp-curses
 
@@ -111,7 +109,6 @@
 	cp FAQ debian/aptitude/usr/share/aptitude/FAQ
 
 	mv debian/aptitude/usr/share/doc/aptitude/html debian/html-docs
-	cp debian/05aptitude debian/aptitude/etc/apt/apt.conf.d/
 
 binary-arch: install-gtk install-curses
 	dh_testdir -a
