## aptitude 0.6.6

=== debian/changelog ===
aptitude (0.6.6-1ubuntu1.1) precise-proposed; urgency=low

  * Apply cherry-picked patches from upstream:
    - fix changelog fetching. LP: #824708
    - avoid dpkg and infinite loop in download-only mode. LP: #975793

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 10 Sep 2012 14:22:56 -0500

aptitude (0.6.6-1ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/05aptitude: Never autoremove kernels.
    - Drop aptitude-doc to Suggests.
    - 03_branding: Ubuntu branding.
    - 04_changelog: Take changelogs from changelogs.ubuntu.com.
    - 11_ubuntu_uses_sudo: Fix status line of 'Become root' menu entry to
      not refer to su.
    - 12_point_manpage_to_doc_package: Point Finnish manpage to the correct
      place for further info.
    - 14_html2text_preferred: Switch back to html2text in favor of elinks,
      since html2text is in main and elinks isn't.
    - no-google-mock: Don't use google-mock as it and libgtest-dev are in
      universe.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Mar 2012 18:00:04 +0100

aptitude (0.6.6-1) unstable; urgency=low

  * New upstream release.

    - Basic multi-arch support.  See NEWS for details.

      + add search terms ?architecture and ?multiarch;
      + add grouping policy 'architecture';

      (Closes: #659079, #661744)
      (LP: #454941, #845136, #884945, #904486)

    - Apply patch from Ubuntu to fix build -D_FORTIFY_SOURCE=2 errors.
      Thanks to Colin Watson and Michael Vogt (Closes: #497539)

    - Remove GTK+ menu entry for minesweeper. (Closes: #552522)

    - Hack to prevent debug messages dumping to the screen (Closes: #651748)

    - Fix '?action(upgrade)' and others (were finding kept
      packages instead).  Thanks to 'Rogier' for the patch (Closes: #603862)

    - List update errors are reported. (Closes: #451137)

    - List update now runs APT::Update hooks. (Closes: #476399)

    - Actually silence progress messages with '-q2'.  (Closes: #141719)

    - Fix various locking issues:

      + '[auto]clean' locks /var/cache/apt/archives;
      + 'update' locks /var/lib/apt/lists; (Closes: #653479)

    - Fix 'priority' cost level in resolver.  The values should
      have been negated but were not.  Thanks to Modestas Vainius
      for this one. (Closes: #608786)

    - Fix some help and prompt strings which wrongly included
      localized names for commands such as 'why'.  (Closes: #486615)

    - Change ordering of top-level sections to match the order
      in aptitude::Sections::Top-Sections.  The default order
      is now: main, contrib, non-free.  (Closes: #181997)

    - Improve error messages when parsing grouping policies to
      use the user-visible names, rather than the internal
      names.  (Closes: #231595)

    - Change default width of %D, %I, %o, and %Z.  Thanks to
      Michał Kułach for this one. (Closes: #599209) (LP: #741417)

    - Change default width of %V, %v to 14.  This greatly increases the
      number of versions which will display completely. (Closes: #624542)

    - 'versions' now groups it's results by 'package:arch' instead of
      'package'.

    - Cleared up grouping, sorting policy error messages.
      (Closes: #231595)

    - Minor correction to the user's manual. (Closes: #365485)

    - Translation updates:

      + Brazilian Portuguese (Closes: #483964)
      + Hungarian (Closes: #592468)
      + Polish (Closes: #659803)
      + Russian (Closes: #662624)

  * No longer supplying aptitude-gtk.  It can still be compiled from the
    source but this was an experimental interface that was never finished.

    Anyone interested in continuing either of the GTK+ or Qt interfaces
    should contact the mailing list:

    http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/aptitude-devel

    - Dropped Build-Depends: needed only for aptitude-gtk.

  * Enable build hardening.

  * Bump debian/compat to level 9, use dh_auto_configure.

    - Adds cross build support. (Closes: #465076)

  * Add empty build-arch, build-indep targets. (Closes: #648490)

  * Extend aptitude-doc-* packages to include a more complete description
    of the program.

  * Update README.Debian with details of Git repository.

  * Support DEB_BUILD_OPTIONS=nocheck to disable tests.

 -- Daniel Hartwig <mandyke@gmail.com>  Tue, 27 Mar 2012 17:02:31 +0800

aptitude (0.6.5-1ubuntu1) precise; urgency=low

  * Merge from debian unstable. (LP: #933259) Remaining changes:
    - debian/05aptitude: never autoremove kernels
    - drop aptitude-doc to Suggests
    - 03_branding.dpatch: ubuntu branding
    - 04_changelog.dpatch: take changelogs from changelogs.ubuntu.com
    - 09_ubuntu_fortify_source.dpatch: Suppress a number of warnings (turned
      into errors by -Werror) triggered by Ubuntu's default of
      -D_FORTIFY_SOURCE=2.
    - 11_ubuntu_uses_sudo.dpatch: fix status line of 'Become root' menu entry
      to not refer to su.
    - 12_point_manpage_to_doc_package.dpatch: point Finnish manpage to the
      correct place for further info
    - 14_html2text_preferred.dpatch: switch back to html2text in favor of
      elinks, since html2text is in main and elinks isn't.
    - 15_ftbfs_new_apt
    - no-google-mock patch: don't use google-mock as it and libgtest-dev are in
      universe
  
  * Refresh no-google-mock patch for build system changes
    - update debian/patches/no-google-mock
  * Actually drop 01_intltool_update patch as it's a 60k line diff we don't
    need as we don't have any po diffs anymore
    - update debian/patches/series
    - remove debian/patches/01_intltool_update

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 16 Feb 2012 02:24:09 -0600

aptitude (0.6.4-1ubuntu5) precise; urgency=low

  * also build against the new libept 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 30 Jan 2012 12:33:23 +0100

aptitude (0.6.4-1ubuntu4) precise; urgency=low

  * rebuild against latest libapt


