=== debian/control ===
Source: aptitude
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>
Uploaders: Daniel Burrows <dburrows@debian.org>, Daniel Hartwig <mandyke@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: libapt-pkg-dev (>= 0.8.16~exp12), debhelper (>= 9),
 libsigc++-2.0-dev, libcppunit-dev, libcwidget-dev (>= 0.5.6.1-2),
 libncursesw5-dev, gettext, g++ (>= 4:3.2.2-0), docbook-xsl,
 docbook-xml, xsltproc, html2text, po4a, libept-dev (>= 1.0.6~exp1),
 librsvg2-bin, libboost-dev, libboost-serialization-dev,
 libboost-python-dev, libboost-iostreams-dev, libboost-test-dev,
 libsqlite3-dev, dpkg-dev (>= 1.16.1),
 pkg-config
XS-Debian-Vcs-Git: git://git.debian.org/git/aptitude/aptitude.git
XS-Debian-Vcs-Browser: http://git.debian.org/?p=aptitude/aptitude.git;a=summary
Standards-Version: 3.9.3
Homepage: http://aptitude.alioth.debian.org/

Package: aptitude
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: sensible-utils, apt-xapian-index, libparse-debianchangelog-perl
Suggests: aptitude-doc-en | aptitude-doc, tasksel, debtags
Conflicts: ia32-apt-get (<< 22)
Description: terminal-based package manager (terminal interface only)
 aptitude is a package manager with a number of useful features,
 including: a mutt-like syntax for matching packages in a flexible
 manner, dselect-like persistence of user actions, the ability to
 retrieve and display the Debian changelog of most packages, and a
 command-line mode similar to that of apt-get.
 .
 aptitude is also Y2K-compliant, non-fattening, naturally cleansing,
 and housebroken.
 .
 This package contains a version of aptitude compiled with only the
 classic terminal-based interface (using curses).  For an experimental
 graphical interface, see the package aptitude-gtk.

Package: aptitude-dbg
Section: debug
Priority: extra
Architecture: any
Depends: aptitude (= ${binary:Version}) | aptitude-gtk (= ${binary:Version}), ${misc:Depends}
Recommends: libcwidget3-dbg
Description: Debug symbols for the aptitude package manager
 aptitude is a package manager with a number of useful features,
 including: a mutt-like syntax for matching packages in a flexible
 manner, dselect-like persistence of user actions, the ability to
 retrieve and display the Debian changelog of most packages, and a
 command-line mode similar to that of apt-get.
 .
 This package contains the debugging symbols for aptitude.  You only
 need these if you want to generate debugging backtraces of aptitude;
 if you do, you probably also want the debug package for the cwidget
 library.

Package: aptitude-doc-cs
Section: doc
Priority: optional
Architecture: all
Provides: aptitude-doc
Depends: ${misc:Depends}
Suggests: aptitude
Description: Czech manual for aptitude, a terminal-based package manager
 aptitude is a package manager with a number of useful features,
 including: a mutt-like syntax for matching packages in a flexible
 manner, dselect-like persistence of user actions, the ability to
 retrieve and display the Debian changelog of most packages, and a
 command-line mode similar to that of apt-get.
 .
 This package contains the Czech version of the aptitude user's
 manual in HTML format.

Package: aptitude-doc-en
Section: doc
Priority: optional
Architecture: all
Provides: aptitude-doc
Depends: ${misc:Depends}
Suggests: aptitude
Description: English manual for aptitude, a terminal-based package manager
 aptitude is a package manager with a number of useful features,
 including: a mutt-like syntax for matching packages in a flexible
 manner, dselect-like persistence of user actions, the ability to
 retrieve and display the Debian changelog of most packages, and a
 command-line mode similar to that of apt-get.
 .
 This package contains the English version of the aptitude user's
 manual in HTML format.

Package: aptitude-doc-es
Section: doc
Priority: optional
Architecture: all
Provides: aptitude-doc
Depends: ${misc:Depends}
Suggests: aptitude
Description: Spanish manual for aptitude, a terminal-based package manager
 aptitude is a package manager with a number of useful features,
 including: a mutt-like syntax for matching packages in a flexible
 manner, dselect-like persistence of user actions, the ability to
 retrieve and display the Debian changelog of most packages, and a
 command-line mode similar to that of apt-get.
 .
 This package contains the Spanish version of the aptitude user's
 manual in HTML format.

Package: aptitude-doc-fi
Section: doc
Priority: optional
Architecture: all
Provides: aptitude-doc
Depends: ${misc:Depends}
Suggests: aptitude
Description: Finnish manual for aptitude, a terminal-based package manager
 aptitude is a package manager with a number of useful features,
 including: a mutt-like syntax for matching packages in a flexible
 manner, dselect-like persistence of user actions, the ability to
 retrieve and display the Debian changelog of most packages, and a
 command-line mode similar to that of apt-get.
 .
 This package contains the Finnish version of the aptitude user's
 manual in HTML format.

Package: aptitude-doc-fr
Section: doc
Priority: optional
Architecture: all
Provides: aptitude-doc
Depends: ${misc:Depends}
Suggests: aptitude
Description: French manual for aptitude, a terminal-based package manager
 aptitude is a package manager with a number of useful features,
 including: a mutt-like syntax for matching packages in a flexible
 manner, dselect-like persistence of user actions, the ability to
 retrieve and display the Debian changelog of most packages, and a
 command-line mode similar to that of apt-get.
 .
 This package contains the French version of the aptitude user's
 manual in HTML format.

Package: aptitude-doc-ja
Section: doc
Priority: optional
Architecture: all
Provides: aptitude-doc
Depends: ${misc:Depends}
Suggests: aptitude
Description: Japanese manual for aptitude, a terminal-based package manager
 aptitude is a package manager with a number of useful features,
 including: a mutt-like syntax for matching packages in a flexible
 manner, dselect-like persistence of user actions, the ability to
 retrieve and display the Debian changelog of most packages, and a
 command-line mode similar to that of apt-get.
 .
 This package contains the Japanese version of the aptitude user's
 manual in HTML format.
