=== debian/rules ===
--- 
+++ 
@@ -5,20 +5,27 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 # Temporary hack to ensure that aptitude builds on s390 and sh4. As of this
 # writing, g++ on s390 miscompiles some of the parsing code unless
 # -fno-gcse is enabled.  See Debian bug #580085.
+DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
 ifneq (,$(findstring $(DEB_BUILD_ARCH_CPU), s390 sh4))
-  DEB_CXXFLAGS_MAINT_APPEND=-fno-gcse
+  DEB_CXXFLAGS_MAINT_APPEND += -fno-gcse
 endif
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-  DEB_CXXFLAGS_MAINT_APPEND=-fno-inline
+  DEB_CXXFLAGS_MAINT_APPEND += -fno-inline
 endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   MAKEFLAGS += -j$(NUMJOBS)
+endif
+
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+  CONFIGURE_OPTS += --disable-tests
 endif
 
 CURSES_BUILD_DIR=build-curses
@@ -29,12 +36,12 @@
 	-rm build-stamp-gtk
 
 	dh_testdir
-
-	mkdir -p $(GTK_BUILD_DIR)
-	(cd $(GTK_BUILD_DIR) && ../configure --prefix=/usr $(shell dpkg-buildflags --export=configure) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-private-glade-file --disable-docs --disable-werror)
+	dh_auto_configure -B$(GTK_BUILD_DIR) -- --disable-docs $(CONFIGURE_OPTS)
 	$(MAKE) -C $(GTK_BUILD_DIR)/src
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Run the unit tests, but protect against Boost.Test's flakiness.
 	(cd $(GTK_BUILD_DIR) && $(MAKE) -C tests check || (cd tests && ./cppunit_test))
+endif
 	touch build-stamp-gtk
 
 build-curses: build-stamp-curses
@@ -42,16 +49,16 @@
 	-rm build-stamp-curses
 
 	dh_testdir
-
-	mkdir -p $(CURSES_BUILD_DIR)
-	(cd $(CURSES_BUILD_DIR) && ../configure --prefix=/usr $(shell dpkg-buildflags --export=configure) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-gtk --disable-werror)
+	dh_auto_configure -B$(CURSES_BUILD_DIR) -- $(CONFIGURE_OPTS)
 	$(MAKE) -C $(CURSES_BUILD_DIR)/src
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Run the unit tests, but protect against Boost.Test's flakiness.
 	(cd $(CURSES_BUILD_DIR) && $(MAKE) -C tests check || (cd tests && ./cppunit_test))
+endif
 
 	touch build-stamp-curses
 
-build:
+build build-arch build-indep:
 	# As per policy 4.9, do nothing.
 
 clean:
@@ -96,6 +103,11 @@
 
 	$(MAKE) -C $(CURSES_BUILD_DIR) install DESTDIR=`pwd`/debian/aptitude gnulocaledir=`pwd`/debian/aptitude/usr/share/locale
 	mv debian/aptitude/usr/bin/aptitude debian/aptitude/usr/bin/aptitude-curses
+	(mandir=debian/aptitude/usr/share/man; \
+	mv $$mandir/man8/aptitude.8 $$mandir/man8/aptitude-curses.8; \
+	for lang in cs de es fi fr gl it ja pl ; do \
+	  mv $$mandir/$$lang/man8/aptitude.8 $$mandir/$$lang/man8/aptitude-curses.8; \
+	done)
 
 	cp debian/aptitude.reportbug debian/aptitude/usr/share/bug/aptitude
 	chmod +x debian/aptitude/usr/share/bug/aptitude
@@ -109,8 +121,9 @@
 	cp FAQ debian/aptitude/usr/share/aptitude/FAQ
 
 	mv debian/aptitude/usr/share/doc/aptitude/html debian/html-docs
+	cp debian/05aptitude debian/aptitude/etc/apt/apt.conf.d/
 
-binary-arch: install-gtk install-curses
+binary-arch: install-curses
 	dh_testdir -a
 	dh_testroot -a
 	dh_installdocs -a
@@ -157,4 +170,4 @@
 	dh_builddeb -i
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
